public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2017-11-17 18:47 David Seifert
  0 siblings, 0 replies; 16+ messages in thread
From: David Seifert @ 2017-11-17 18:47 UTC (permalink / raw
  To: gentoo-commits

commit:     61413c4e36893de158a1f3e58b606c4ac1032f6d
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Fri Nov 17 17:06:02 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Nov 17 18:38:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61413c4e

net-im/bitlbee-facebook: New ebuild

Closes: https://bugs.gentoo.org/550184
Package-Manager: Portage-2.3.13, Repoman-2.3.3

 net-im/bitlbee-facebook/Manifest                   |  1 +
 .../bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild | 38 ++++++++++++++++++++++
 .../bitlbee-facebook/bitlbee-facebook-9999.ebuild  | 38 ++++++++++++++++++++++
 net-im/bitlbee-facebook/metadata.xml               | 24 ++++++++++++++
 4 files changed, 101 insertions(+)

diff --git a/net-im/bitlbee-facebook/Manifest b/net-im/bitlbee-facebook/Manifest
new file mode 100644
index 00000000000..428cd382857
--- /dev/null
+++ b/net-im/bitlbee-facebook/Manifest
@@ -0,0 +1 @@
+DIST bitlbee-facebook-1.1.2.tar.gz 67269 SHA256 dc4294d84b9f9d3e50cc1548000eafb518dfdb86bf8ecbf4261729e4e3472407 SHA512 3e27935cd4c8c1d55de9dfe9d6fd1e7aef1bf410e64c711436875ddfb83f67f1da0055af3b279d2d6627bafe438a7689e280c2bfd51ec4f64cf7c614182003da WHIRLPOOL b3213740a03a60287d4d9c38366c622e512c8ffb40296143ea0bff5fd0f576de3e247ac52cd0ba61024a0e4d86c0ae1b8f7d6d589b0e1d006c7b3fe48c80fc4c

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild
new file mode 100644
index 00000000000..be0c1efdefc
--- /dev/null
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Facebook protocol plugin for BitlBee"
+HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+if [[ ${PV} == *9999 ]] ; then
+	inherit	git-r3
+	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
+else
+	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-libs/json-glib
+	>=net-im/bitlbee-3[plugins]"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
new file mode 100644
index 00000000000..be0c1efdefc
--- /dev/null
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Facebook protocol plugin for BitlBee"
+HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+if [[ ${PV} == *9999 ]] ; then
+	inherit	git-r3
+	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
+else
+	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-libs/json-glib
+	>=net-im/bitlbee-3[plugins]"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}

diff --git a/net-im/bitlbee-facebook/metadata.xml b/net-im/bitlbee-facebook/metadata.xml
new file mode 100644
index 00000000000..6aab9ecf858
--- /dev/null
+++ b/net-im/bitlbee-facebook/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>arkamar@atlas.cz</email>
+		<name>Petr Vaněk</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription lang="en">
+		The Facebook protocol plugin for bitlbee. This plugin uses the Facebook
+		Mobile API.
+	</longdescription>
+	<upstream>
+		<maintainer status="active">
+			<email>jgeboski@gmail.com</email>
+			<name>James Geboski</name>
+		</maintainer>
+		<bugs-to>https://github.com/bitlbee/bitlbee-facebook/issues</bugs-to>
+		<remote-id type="github">bitlbee/bitlbee-facebook</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2019-01-18 11:01 Andreas Sturmlechner
  0 siblings, 0 replies; 16+ messages in thread
From: Andreas Sturmlechner @ 2019-01-18 11:01 UTC (permalink / raw
  To: gentoo-commits

commit:     3fc9223b9324444b06582fdc954ee161467837e9
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Tue Nov 20 07:35:26 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Jan 18 11:00:57 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fc9223b

net-im/bitlbee-facebook: add missing dep on dev-util/glib-utils #668448

Closes: https://bugs.gentoo.org/668448
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/10453
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild | 3 ++-
 net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild  | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild
index be0c1efdefc..5e6c0743780 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2017 Gentoo Foundation
+# Copyright 2017-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -25,6 +25,7 @@ RDEPEND="
 	dev-libs/json-glib
 	>=net-im/bitlbee-3[plugins]"
 DEPEND="${RDEPEND}
+	dev-util/glib-utils
 	virtual/pkgconfig"
 
 src_prepare() {

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
index be0c1efdefc..5e6c0743780 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2017 Gentoo Foundation
+# Copyright 2017-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -25,6 +25,7 @@ RDEPEND="
 	dev-libs/json-glib
 	>=net-im/bitlbee-3[plugins]"
 DEPEND="${RDEPEND}
+	dev-util/glib-utils
 	virtual/pkgconfig"
 
 src_prepare() {


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2019-01-18 11:01 Andreas Sturmlechner
  0 siblings, 0 replies; 16+ messages in thread
From: Andreas Sturmlechner @ 2019-01-18 11:01 UTC (permalink / raw
  To: gentoo-commits

commit:     3a0fb0d2a102d12c6dbe70d21e41f0064cf810ca
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Thu Jan 17 10:02:29 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Jan 18 11:00:57 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a0fb0d2

net-im/bitlbee-facebook: bump to EAPI=7 in 9999

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
index 5e6c0743780..f7a43704ab5 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
@@ -1,7 +1,7 @@
 # Copyright 2017-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit autotools
 
@@ -24,7 +24,8 @@ RDEPEND="
 	dev-libs/glib:2
 	dev-libs/json-glib
 	>=net-im/bitlbee-3[plugins]"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
 	dev-util/glib-utils
 	virtual/pkgconfig"
 


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2019-02-03 14:08 Andreas Sturmlechner
  0 siblings, 0 replies; 16+ messages in thread
From: Andreas Sturmlechner @ 2019-02-03 14:08 UTC (permalink / raw
  To: gentoo-commits

commit:     50e2653ecf22445cbc7340ada7771b2fdf4ece24
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Thu Jan 24 12:34:40 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Feb  3 14:07:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50e2653e

net-im/bitlbee-facebook: Version bump 1.2.0

Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/10902
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-im/bitlbee-facebook/Manifest                   |  1 +
 .../bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/net-im/bitlbee-facebook/Manifest b/net-im/bitlbee-facebook/Manifest
index ea4b2be0563..b5f01ba7b49 100644
--- a/net-im/bitlbee-facebook/Manifest
+++ b/net-im/bitlbee-facebook/Manifest
@@ -1 +1,2 @@
 DIST bitlbee-facebook-1.1.2.tar.gz 67269 BLAKE2B 7f6b9c3706a6955d49dd79e7ee25e252679838468011a5044b0e8fa140cd7d144fca86ef9d65fccb65b9c1844348dcca292a3cde16c9371264e252d28dc1cbf8 SHA512 3e27935cd4c8c1d55de9dfe9d6fd1e7aef1bf410e64c711436875ddfb83f67f1da0055af3b279d2d6627bafe438a7689e280c2bfd51ec4f64cf7c614182003da
+DIST bitlbee-facebook-1.2.0.tar.gz 71718 BLAKE2B 967e2f4250e92c88a74e32b1ddda8d96327a6e190e4b17e416f20e27e7a07083ae8ff2e2006de6ab114a98d7f81deccf515aec9206a7f0a2470ae67f5c787662 SHA512 b815dcaceb9ee12a68cfe7401da503139ba92cb0396e8d52e5491fed04431d2c6e4cf667bcc6f457bc51b916c8dc1dc43dc277ff0a683a1c0d72a65e819fe5b4

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild
new file mode 100644
index 00000000000..f7a43704ab5
--- /dev/null
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2017-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Facebook protocol plugin for BitlBee"
+HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+if [[ ${PV} == *9999 ]] ; then
+	inherit	git-r3
+	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
+else
+	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-libs/json-glib
+	>=net-im/bitlbee-3[plugins]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2019-11-22 10:24 Agostino Sarubbo
  0 siblings, 0 replies; 16+ messages in thread
From: Agostino Sarubbo @ 2019-11-22 10:24 UTC (permalink / raw
  To: gentoo-commits

commit:     4301e8751257443638f01c42877a0d037522b933
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 22 10:24:31 2019 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Nov 22 10:24:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4301e875

net-im/bitlbee-facebook: amd64 stable wrt bug #700814

Package-Manager: Portage-2.3.76, Repoman-2.3.16
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild
index f7a43704ab5..19c6f0abccc 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild
@@ -17,7 +17,7 @@ if [[ ${PV} == *9999 ]] ; then
 	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
 else
 	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2019-11-23 18:48 Michał Górny
  0 siblings, 0 replies; 16+ messages in thread
From: Michał Górny @ 2019-11-23 18:48 UTC (permalink / raw
  To: gentoo-commits

commit:     b5698529f078a691dcd4a3fd6527fb275d6d3a6b
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sat Nov 23 18:07:16 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 23 18:48:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5698529

net-im/bitlbee-facebook: drop old version

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/13745
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-im/bitlbee-facebook/Manifest                   |  1 -
 .../bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild | 39 ----------------------
 2 files changed, 40 deletions(-)

diff --git a/net-im/bitlbee-facebook/Manifest b/net-im/bitlbee-facebook/Manifest
index b5f01ba7b49..dc3c19b4b19 100644
--- a/net-im/bitlbee-facebook/Manifest
+++ b/net-im/bitlbee-facebook/Manifest
@@ -1,2 +1 @@
-DIST bitlbee-facebook-1.1.2.tar.gz 67269 BLAKE2B 7f6b9c3706a6955d49dd79e7ee25e252679838468011a5044b0e8fa140cd7d144fca86ef9d65fccb65b9c1844348dcca292a3cde16c9371264e252d28dc1cbf8 SHA512 3e27935cd4c8c1d55de9dfe9d6fd1e7aef1bf410e64c711436875ddfb83f67f1da0055af3b279d2d6627bafe438a7689e280c2bfd51ec4f64cf7c614182003da
 DIST bitlbee-facebook-1.2.0.tar.gz 71718 BLAKE2B 967e2f4250e92c88a74e32b1ddda8d96327a6e190e4b17e416f20e27e7a07083ae8ff2e2006de6ab114a98d7f81deccf515aec9206a7f0a2470ae67f5c787662 SHA512 b815dcaceb9ee12a68cfe7401da503139ba92cb0396e8d52e5491fed04431d2c6e4cf667bcc6f457bc51b916c8dc1dc43dc277ff0a683a1c0d72a65e819fe5b4

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild
deleted file mode 100644
index 5e6c0743780..00000000000
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.1.2.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 2017-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools
-
-DESCRIPTION="Facebook protocol plugin for BitlBee"
-HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
-
-if [[ ${PV} == *9999 ]] ; then
-	inherit	git-r3
-	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
-else
-	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-RDEPEND="
-	dev-libs/glib:2
-	dev-libs/json-glib
-	>=net-im/bitlbee-3[plugins]"
-DEPEND="${RDEPEND}
-	dev-util/glib-utils
-	virtual/pkgconfig"
-
-src_prepare() {
-	default
-	eautoreconf
-}
-
-src_install() {
-	default
-	find "${D}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2020-11-23 13:29 Joonas Niilola
  0 siblings, 0 replies; 16+ messages in thread
From: Joonas Niilola @ 2020-11-23 13:29 UTC (permalink / raw
  To: gentoo-commits

commit:     f393fa69ac2fe01d408c0dcb1a7f005dccf57f27
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Fri Nov 20 09:32:14 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Nov 23 13:11:23 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f393fa69

net-im/bitlbee-facebook: bump to 1.2.1

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/18335
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-im/bitlbee-facebook/Manifest                   |  1 +
 .../bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/net-im/bitlbee-facebook/Manifest b/net-im/bitlbee-facebook/Manifest
index dc3c19b4b19..067d7e42149 100644
--- a/net-im/bitlbee-facebook/Manifest
+++ b/net-im/bitlbee-facebook/Manifest
@@ -1 +1,2 @@
 DIST bitlbee-facebook-1.2.0.tar.gz 71718 BLAKE2B 967e2f4250e92c88a74e32b1ddda8d96327a6e190e4b17e416f20e27e7a07083ae8ff2e2006de6ab114a98d7f81deccf515aec9206a7f0a2470ae67f5c787662 SHA512 b815dcaceb9ee12a68cfe7401da503139ba92cb0396e8d52e5491fed04431d2c6e4cf667bcc6f457bc51b916c8dc1dc43dc277ff0a683a1c0d72a65e819fe5b4
+DIST bitlbee-facebook-1.2.1.tar.gz 71957 BLAKE2B 4694d5ea3df0a52b8dd7506d270f8257ec6950c35b90ed659fe65fa4a82128b3608733227fd1a1bc36c200879067ed3df5fd937efa1fb5932ad660b50cab5122 SHA512 6424931a93695c41816304177f13d3c02c1e7e352f8548a18a1245cc90b151123d31d354147851d56f6b42946c30c43eaefb6d2f296a8078067eb5c65c0da1d5

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild
new file mode 100644
index 00000000000..9e788483c50
--- /dev/null
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2017-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Facebook protocol plugin for BitlBee"
+HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+if [[ ${PV} == *9999 ]] ; then
+	inherit	git-r3
+	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
+else
+	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-libs/json-glib
+	>=net-im/bitlbee-3[plugins]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2021-02-22 13:46 Joonas Niilola
  0 siblings, 0 replies; 16+ messages in thread
From: Joonas Niilola @ 2021-02-22 13:46 UTC (permalink / raw
  To: gentoo-commits

commit:     37ffd8ed45f8d54199763eb2eb073fa32045d002
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Feb 14 17:36:24 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 13:46:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37ffd8ed

net-im/bitlbee-facebook: bump to 1.2.2

Closes: https://bugs.gentoo.org/769722
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-im/bitlbee-facebook/Manifest                   |  1 +
 .../bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/net-im/bitlbee-facebook/Manifest b/net-im/bitlbee-facebook/Manifest
index 067d7e42149..8a4bf1c2b70 100644
--- a/net-im/bitlbee-facebook/Manifest
+++ b/net-im/bitlbee-facebook/Manifest
@@ -1,2 +1,3 @@
 DIST bitlbee-facebook-1.2.0.tar.gz 71718 BLAKE2B 967e2f4250e92c88a74e32b1ddda8d96327a6e190e4b17e416f20e27e7a07083ae8ff2e2006de6ab114a98d7f81deccf515aec9206a7f0a2470ae67f5c787662 SHA512 b815dcaceb9ee12a68cfe7401da503139ba92cb0396e8d52e5491fed04431d2c6e4cf667bcc6f457bc51b916c8dc1dc43dc277ff0a683a1c0d72a65e819fe5b4
 DIST bitlbee-facebook-1.2.1.tar.gz 71957 BLAKE2B 4694d5ea3df0a52b8dd7506d270f8257ec6950c35b90ed659fe65fa4a82128b3608733227fd1a1bc36c200879067ed3df5fd937efa1fb5932ad660b50cab5122 SHA512 6424931a93695c41816304177f13d3c02c1e7e352f8548a18a1245cc90b151123d31d354147851d56f6b42946c30c43eaefb6d2f296a8078067eb5c65c0da1d5
+DIST bitlbee-facebook-1.2.2.tar.gz 71918 BLAKE2B 674cb8565f88faff695d5b14010036f6d3c65bcdab9a6fba84c5f0d775a59d02abfd863be5af4ddc7c3361a49c6345d0ef57bbd8b02202b7e24e62b31c2c6844 SHA512 534e7e704e7ddd296c810819171b9c4770747dde109a9bbdfb41fc05602b1d9ad9bfd2ec6c7a62ffb0c85ec61252b1597217cdee7ccffd191da897a7d40085cc

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
new file mode 100644
index 00000000000..d28c1fce5d9
--- /dev/null
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2017-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Facebook protocol plugin for BitlBee"
+HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+if [[ ${PV} == *9999 ]] ; then
+	inherit	git-r3
+	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
+else
+	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	dev-libs/glib:2
+	dev-libs/json-glib
+	>=net-im/bitlbee-3[plugins]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2021-02-22 13:46 Joonas Niilola
  0 siblings, 0 replies; 16+ messages in thread
From: Joonas Niilola @ 2021-02-22 13:46 UTC (permalink / raw
  To: gentoo-commits

commit:     1fb9de30ae9b78710057156f2a6ffab7dad7b92b
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Feb 14 17:42:13 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 13:46:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fb9de30

net-im/bitlbee-facebook: remove old version

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/19395
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-im/bitlbee-facebook/Manifest                   |  1 -
 .../bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild | 40 ----------------------
 2 files changed, 41 deletions(-)

diff --git a/net-im/bitlbee-facebook/Manifest b/net-im/bitlbee-facebook/Manifest
index 8a4bf1c2b70..9333df4c667 100644
--- a/net-im/bitlbee-facebook/Manifest
+++ b/net-im/bitlbee-facebook/Manifest
@@ -1,3 +1,2 @@
 DIST bitlbee-facebook-1.2.0.tar.gz 71718 BLAKE2B 967e2f4250e92c88a74e32b1ddda8d96327a6e190e4b17e416f20e27e7a07083ae8ff2e2006de6ab114a98d7f81deccf515aec9206a7f0a2470ae67f5c787662 SHA512 b815dcaceb9ee12a68cfe7401da503139ba92cb0396e8d52e5491fed04431d2c6e4cf667bcc6f457bc51b916c8dc1dc43dc277ff0a683a1c0d72a65e819fe5b4
-DIST bitlbee-facebook-1.2.1.tar.gz 71957 BLAKE2B 4694d5ea3df0a52b8dd7506d270f8257ec6950c35b90ed659fe65fa4a82128b3608733227fd1a1bc36c200879067ed3df5fd937efa1fb5932ad660b50cab5122 SHA512 6424931a93695c41816304177f13d3c02c1e7e352f8548a18a1245cc90b151123d31d354147851d56f6b42946c30c43eaefb6d2f296a8078067eb5c65c0da1d5
 DIST bitlbee-facebook-1.2.2.tar.gz 71918 BLAKE2B 674cb8565f88faff695d5b14010036f6d3c65bcdab9a6fba84c5f0d775a59d02abfd863be5af4ddc7c3361a49c6345d0ef57bbd8b02202b7e24e62b31c2c6844 SHA512 534e7e704e7ddd296c810819171b9c4770747dde109a9bbdfb41fc05602b1d9ad9bfd2ec6c7a62ffb0c85ec61252b1597217cdee7ccffd191da897a7d40085cc

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild
deleted file mode 100644
index 9e788483c50..00000000000
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.1.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2017-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Facebook protocol plugin for BitlBee"
-HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
-
-if [[ ${PV} == *9999 ]] ; then
-	inherit	git-r3
-	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
-else
-	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-RDEPEND="
-	dev-libs/glib:2
-	dev-libs/json-glib
-	>=net-im/bitlbee-3[plugins]"
-DEPEND="${RDEPEND}"
-BDEPEND="
-	dev-util/glib-utils
-	virtual/pkgconfig"
-
-src_prepare() {
-	default
-	eautoreconf
-}
-
-src_install() {
-	default
-	find "${D}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2021-03-26 15:54 Agostino Sarubbo
  0 siblings, 0 replies; 16+ messages in thread
From: Agostino Sarubbo @ 2021-03-26 15:54 UTC (permalink / raw
  To: gentoo-commits

commit:     1cca69085fc4a44f1548e451300f571c67738107
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 26 15:54:10 2021 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Mar 26 15:54:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1cca6908

net-im/bitlbee-facebook: amd64 stable wrt bug #778359

Package-Manager: Portage-3.0.13, Repoman-3.0.2
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
index d28c1fce5d9..05889a8ea3c 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
@@ -17,7 +17,7 @@ if [[ ${PV} == *9999 ]] ; then
 	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
 else
 	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2021-03-28 10:02 Agostino Sarubbo
  0 siblings, 0 replies; 16+ messages in thread
From: Agostino Sarubbo @ 2021-03-28 10:02 UTC (permalink / raw
  To: gentoo-commits

commit:     69b29891d8a20657c3f21311450b53aa5842f278
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 10:02:40 2021 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Mar 28 10:02:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69b29891

net-im/bitlbee-facebook: x86 stable wrt bug #778359

Package-Manager: Portage-3.0.13, Repoman-3.0.2
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
index 05889a8ea3c..f220232e176 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
@@ -17,7 +17,7 @@ if [[ ${PV} == *9999 ]] ; then
 	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
 else
 	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 ~x86"
+	KEYWORDS="amd64 x86"
 fi
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2021-04-10  7:45 Joonas Niilola
  0 siblings, 0 replies; 16+ messages in thread
From: Joonas Niilola @ 2021-04-10  7:45 UTC (permalink / raw
  To: gentoo-commits

commit:     84f527abb408b242d140338c8010c435cb0232c9
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Sun Mar 28 10:30:36 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Apr 10 07:16:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84f527ab

net-im/bitlbee-facebook: drop 1.2.0

This version does not work properly anymore.

Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/20162
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-im/bitlbee-facebook/Manifest                   |  1 -
 .../bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild | 40 ----------------------
 2 files changed, 41 deletions(-)

diff --git a/net-im/bitlbee-facebook/Manifest b/net-im/bitlbee-facebook/Manifest
index 9333df4c667..44f387fbfa4 100644
--- a/net-im/bitlbee-facebook/Manifest
+++ b/net-im/bitlbee-facebook/Manifest
@@ -1,2 +1 @@
-DIST bitlbee-facebook-1.2.0.tar.gz 71718 BLAKE2B 967e2f4250e92c88a74e32b1ddda8d96327a6e190e4b17e416f20e27e7a07083ae8ff2e2006de6ab114a98d7f81deccf515aec9206a7f0a2470ae67f5c787662 SHA512 b815dcaceb9ee12a68cfe7401da503139ba92cb0396e8d52e5491fed04431d2c6e4cf667bcc6f457bc51b916c8dc1dc43dc277ff0a683a1c0d72a65e819fe5b4
 DIST bitlbee-facebook-1.2.2.tar.gz 71918 BLAKE2B 674cb8565f88faff695d5b14010036f6d3c65bcdab9a6fba84c5f0d775a59d02abfd863be5af4ddc7c3361a49c6345d0ef57bbd8b02202b7e24e62b31c2c6844 SHA512 534e7e704e7ddd296c810819171b9c4770747dde109a9bbdfb41fc05602b1d9ad9bfd2ec6c7a62ffb0c85ec61252b1597217cdee7ccffd191da897a7d40085cc

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild
deleted file mode 100644
index 79bb0580ebe..00000000000
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2017-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Facebook protocol plugin for BitlBee"
-HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
-
-if [[ ${PV} == *9999 ]] ; then
-	inherit	git-r3
-	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
-else
-	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 x86"
-fi
-
-RDEPEND="
-	dev-libs/glib:2
-	dev-libs/json-glib
-	>=net-im/bitlbee-3[plugins]"
-DEPEND="${RDEPEND}"
-BDEPEND="
-	dev-util/glib-utils
-	virtual/pkgconfig"
-
-src_prepare() {
-	default
-	eautoreconf
-}
-
-src_install() {
-	default
-	find "${D}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2024-08-02  9:12 Petr Vaněk
  0 siblings, 0 replies; 16+ messages in thread
From: Petr Vaněk @ 2024-08-02  9:12 UTC (permalink / raw
  To: gentoo-commits

commit:     a389c9caf6a96ab0ccfff98c0dc1441d5623a4e8
Author:     Filip Kobierski <fkobi <AT> pm <DOT> me>
AuthorDate: Thu Aug  1 18:01:58 2024 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Fri Aug  2 09:12:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a389c9ca

net-im/bitlbee-facebook: bump EAPI, fix pkgcheck issues

Signed-off-by: Filip Kobierski <fkobi <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/37868
Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 ...-facebook-9999.ebuild => bitlbee-facebook-1.2.2-r1.ebuild} | 11 +++++------
 net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild          | 11 +++++------
 2 files changed, 10 insertions(+), 12 deletions(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
similarity index 93%
copy from net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
copy to net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
index f7a43704ab51..7563f3db8c1c 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
@@ -1,17 +1,13 @@
-# Copyright 2017-2019 Gentoo Authors
+# Copyright 2017-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit autotools
 
 DESCRIPTION="Facebook protocol plugin for BitlBee"
 HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
 
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
-
 if [[ ${PV} == *9999 ]] ; then
 	inherit	git-r3
 	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
@@ -20,6 +16,9 @@ else
 	KEYWORDS="~amd64 ~x86"
 fi
 
+LICENSE="GPL-2"
+SLOT="0"
+
 RDEPEND="
 	dev-libs/glib:2
 	dev-libs/json-glib

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
index f7a43704ab51..7563f3db8c1c 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-9999.ebuild
@@ -1,17 +1,13 @@
-# Copyright 2017-2019 Gentoo Authors
+# Copyright 2017-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit autotools
 
 DESCRIPTION="Facebook protocol plugin for BitlBee"
 HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
 
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
-
 if [[ ${PV} == *9999 ]] ; then
 	inherit	git-r3
 	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
@@ -20,6 +16,9 @@ else
 	KEYWORDS="~amd64 ~x86"
 fi
 
+LICENSE="GPL-2"
+SLOT="0"
+
 RDEPEND="
 	dev-libs/glib:2
 	dev-libs/json-glib


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2024-09-04 10:29 Jakov Smolić
  0 siblings, 0 replies; 16+ messages in thread
From: Jakov Smolić @ 2024-09-04 10:29 UTC (permalink / raw
  To: gentoo-commits

commit:     be48d42d038466920d89625b3862c1cdc4b4dffc
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 10:29:11 2024 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Wed Sep  4 10:29:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be48d42d

net-im/bitlbee-facebook: Stabilize 1.2.2-r1 amd64, #939019

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
index b4093a7b8c5e..877f80cae948 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
@@ -13,7 +13,7 @@ if [[ ${PV} == *9999 ]] ; then
 	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
 else
 	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 LICENSE="GPL-2"


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2024-09-04 10:29 Jakov Smolić
  0 siblings, 0 replies; 16+ messages in thread
From: Jakov Smolić @ 2024-09-04 10:29 UTC (permalink / raw
  To: gentoo-commits

commit:     0f8b88876e3ef6bc5f4bb2006451fe7c5e41a22e
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 10:29:17 2024 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Wed Sep  4 10:29:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f8b8887

net-im/bitlbee-facebook: Stabilize 1.2.2-r1 x86, #939019

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
index 877f80cae948..e739104433e5 100644
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
+++ b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2-r1.ebuild
@@ -13,7 +13,7 @@ if [[ ${PV} == *9999 ]] ; then
 	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
 else
 	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 ~x86"
+	KEYWORDS="amd64 x86"
 fi
 
 LICENSE="GPL-2"


^ permalink raw reply related	[flat|nested] 16+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/
@ 2024-09-04 10:53 Petr Vaněk
  0 siblings, 0 replies; 16+ messages in thread
From: Petr Vaněk @ 2024-09-04 10:53 UTC (permalink / raw
  To: gentoo-commits

commit:     90679243a30a602aefd9fc2253704c866564cb67
Author:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 10:52:17 2024 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Wed Sep  4 10:52:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90679243

net-im/bitlbee-facebook: drop 1.2.2

Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 .../bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild | 40 ----------------------
 1 file changed, 40 deletions(-)

diff --git a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild b/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
deleted file mode 100644
index f220232e1764..000000000000
--- a/net-im/bitlbee-facebook/bitlbee-facebook-1.2.2.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 2017-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Facebook protocol plugin for BitlBee"
-HOMEPAGE="https://github.com/bitlbee/bitlbee-facebook"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
-
-if [[ ${PV} == *9999 ]] ; then
-	inherit	git-r3
-	EGIT_REPO_URI="https://github.com/bitlbee/bitlbee-facebook"
-else
-	SRC_URI="https://github.com/bitlbee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="amd64 x86"
-fi
-
-RDEPEND="
-	dev-libs/glib:2
-	dev-libs/json-glib
-	>=net-im/bitlbee-3[plugins]"
-DEPEND="${RDEPEND}"
-BDEPEND="
-	dev-util/glib-utils
-	virtual/pkgconfig"
-
-src_prepare() {
-	default
-	eautoreconf
-}
-
-src_install() {
-	default
-	find "${D}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 16+ messages in thread

end of thread, other threads:[~2024-09-04 10:53 UTC | newest]

Thread overview: 16+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-01-18 11:01 [gentoo-commits] repo/gentoo:master commit in: net-im/bitlbee-facebook/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2024-09-04 10:53 Petr Vaněk
2024-09-04 10:29 Jakov Smolić
2024-09-04 10:29 Jakov Smolić
2024-08-02  9:12 Petr Vaněk
2021-04-10  7:45 Joonas Niilola
2021-03-28 10:02 Agostino Sarubbo
2021-03-26 15:54 Agostino Sarubbo
2021-02-22 13:46 Joonas Niilola
2021-02-22 13:46 Joonas Niilola
2020-11-23 13:29 Joonas Niilola
2019-11-23 18:48 Michał Górny
2019-11-22 10:24 Agostino Sarubbo
2019-02-03 14:08 Andreas Sturmlechner
2019-01-18 11:01 Andreas Sturmlechner
2017-11-17 18:47 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox